import { OnInit } from "@angular/core";
import { StiToolbarResizerService } from "../services/sti-toolbar-resizer.service";
import * as i0 from "@angular/core";
export declare class StiToolbarResizerComponent implements OnInit {
    toolbarResizerService: StiToolbarResizerService;
    constructor(toolbarResizerService: StiToolbarResizerService);
    get isMaximize(): boolean;
    get isMinimize(): boolean;
    setMinimizeMode(): void;
    setMaximizeMode(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiToolbarResizerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiToolbarResizerComponent, "sti-toolbar-resizer", never, {}, {}, never, never, false, never>;
}
